/**
 * 
 */
package cn.orm.sqltoy.plugins.function.impl;

import java.util.regex.Pattern;

import cn.orm.sqltoy.plugins.function.IFunction;

/**
 * @project sqltoy-orm
 * @description 数字转换
 * @author zhongxuchen
 * @version v1.0,Date:2013-1-2
 */
public class ToNumber extends IFunction {
	private static Pattern regex = Pattern.compile("(?i)\\Wto_number\\(");

	/*
	 * (non-Javadoc)
	 * 
	 * @see cn.orm.sqltoy.config.function.IFunction#regex()
	 */
	@Override
	public Pattern regex() {
		return regex;
	}

	@Override
	public String dialects() {
		return "db2,oracle,dm";
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see cn.orm.sqltoy.config.function.IFunction#wrap(java.lang.String [])
	 */
	@Override
	public String wrap(int dialect, String functionName, boolean hasArgs, String... args) {
		return super.IGNORE;
	}
}
